${eCAP_AV_SDK_BOILERPLATE}

#ifndef ${eCAP_AV_SDK_GUARD}_TRICKLING_CONFIG_H
#define ${eCAP_AV_SDK_GUARD}_TRICKLING_CONFIG_H

#include "Time.h"

namespace Adapter {

// manages body trickling algorithm configuration
class TricklingConfig
{
public:
    TricklingConfig(); // sets default configuration values

    // whether it is worth reconfiguring all currently trickling transactions now
    bool changedSubstantially(const TricklingConfig &old) const;

    Time startDelay; // wait that long before the first drop
    Time period; // time between drops
    Size dropSize; // maximum size of a drop
    Size sizeMax; // do not trickle more body bytes
};

}

#endif
